QGIS Application - Bug report #17683

GDAL Tool translate error when batch mode is selected

2017-12-12 04:29 PM - matteo ghetta

Status: Closed
Priority: Normal
Assignee:

Category: GDAL Tools

Affected QGIS version:2.18.13
Operating System: any

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: no timely feedback

Copied to github as #: 25580

Description

If a single raster is used no problem, but when the "Batch Mode" checkbox is selected the following error appear:

An error has occurred while executing Python code:

TypeError: native Qt signal is not callable
Traceback (most recent call last):

File "/home/matteo/lavori/QGIS/build-qgis2/output/python/plugins/Gdal Tools/tools/widgetBatchBase.py", line 73, in onRun

self.batchRun()

File "/home/matteo/lavori/QGIS/build-qgis2/output/python/plugins/Gdal Tools/tools/doTranslate.py", line 306, in batchRun

self.runltem(self.batchindex, self.batchTotal)

File "/home/matteo/lavori/QGIS/build-qgis2/output/python/plugins/GdalTools/tools/widgetBatchBase.py", line 107, in runltem

self.base.refreshArgs(args)
TypeError: native Qt signal is not callable

History

#1 - 2019-01-21 12:34 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#2 - 2019-02-24 01:10 AM - Giovanni Manghi
- Resolution set to no timely feedback
- Status changed from Feedback to Closed

2024-04-29

1/1




